# Visualization
TKService
Aspect

# Aspect_TypeMapEntry Class Reference

This class defines a typemap entry.
A typemap entry is an association between
a LineStyle object and an index in the typemap.
.

`#include <Aspect_TypeMapEntry.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Aspect_TypeMapEntry ()
| Creates an unallocated typemap entry .
Standard_EXPORT | Aspect_TypeMapEntry (const Standard_Integer index, const Aspect_LineStyle &style)
| Creates an allocated typemap entry .
Standard_EXPORT | Aspect_TypeMapEntry (const Aspect_TypeMapEntry &entry)
| Creates an allocated typemap entry. Warning: Raises error if the typemap entry <entry> is unallocated. .
Standard_EXPORT void | SetValue (const Standard_Integer index, const Aspect_LineStyle &style)
| Sets typemap entry value and allocates it. .
Standard_EXPORT void | SetValue (const Aspect_TypeMapEntry &entry)
| Sets typemap entry value and allocates it. .
void | operator= (const Aspect_TypeMapEntry &entry)
Standard_EXPORT void | SetType (const Aspect_LineStyle &Style)
| Sets the line style of typemap entry. .
Standard_EXPORT const Aspect_LineStyle & | Type () const
Standard_EXPORT void | SetIndex (const Standard_Integer index)
| Sets index value of a typemap entry. .
Standard_EXPORT Standard_Integer | Index () const
| Returns index value of a typemap entry. Warning: Raises error if the typemap entry is unallocated . .
Standard_EXPORT void | Free ()
| Unallocates the typemap entry. .
Standard_EXPORT Standard_Boolean | IsAllocated () const
| Returns True if the typemap entry is allocated. Warning: A typemap entry is allocated when the type and the index is defined. .
Standard_EXPORT void | Dump () const

## Private Attributes

Aspect_LineStyle | MyType
Standard_Integer | MyIndex
Standard_Boolean | MyTypeIsDef
Standard_Boolean | MyIndexIsDef

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_TypeMapEntry::Aspect_TypeMapEntry | ( |  | ) |

Standard_EXPORT Aspect_TypeMapEntry::Aspect_TypeMapEntry | ( | const Standard_Integer | index,
|  | const Aspect_LineStyle & | style
| ) |

Standard_EXPORT Aspect_TypeMapEntry::Aspect_TypeMapEntry | ( | const Aspect_TypeMapEntry & | entry | ) |

## Member Function Documentation

Standard_EXPORT void Aspect_TypeMapEntry::Dump | ( |  | ) | const

Standard_EXPORT void Aspect_TypeMapEntry::Free | ( |  | ) |

Standard_EXPORT Standard_Integer Aspect_TypeMapEntry::Index | ( |  | ) | const

Standard_EXPORT Standard_Boolean Aspect_TypeMapEntry::IsAllocated | ( |  | ) | const

void Aspect_TypeMapEntry::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Aspect_TypeMapEntry::operator new | ( | size_t | size | ) | `[inline]`

void* Aspect_TypeMapEntry::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void Aspect_TypeMapEntry::operator= | ( | const Aspect_TypeMapEntry & | entry | ) | `[inline]`

Standard_EXPORT void Aspect_TypeMapEntry::SetIndex | ( | const Standard_Integer | index | ) |

Standard_EXPORT void Aspect_TypeMapEntry::SetType | ( | const Aspect_LineStyle & | Style | ) |

Standard_EXPORT void Aspect_TypeMapEntry::SetValue | ( | const Aspect_TypeMapEntry & | entry | ) |

Standard_EXPORT void Aspect_TypeMapEntry::SetValue | ( | const Standard_Integer | index,
|  | const Aspect_LineStyle & | style
| ) |

Standard_EXPORT const Aspect_LineStyle& Aspect_TypeMapEntry::Type | ( |  | ) | const

## Field Documentation

Standard_Integer Aspect_TypeMapEntry::MyIndex `[private]`

Standard_Boolean Aspect_TypeMapEntry::MyIndexIsDef `[private]`

Aspect_LineStyle Aspect_TypeMapEntry::MyType `[private]`

Standard_Boolean Aspect_TypeMapEntry::MyTypeIsDef `[private]`

The documentation for this class was generated from the following file:

- Aspect_TypeMapEntry.hxx